org.apache.tinkerpop.gremlin.groovy.jsr223

## Class GroovyTranslatorTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.groovy.jsr223.GroovyTranslatorTest

-     public class GroovyTranslatorTest
      extends AbstractGremlinTest

  Author:
    Marko A. Rodriguez (http://markorodriguez.com)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `GroovyTranslatorTest.SillyClass`
    `static class` | `GroovyTranslatorTest.SillyClassTranslatorCustomizer`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GroovyTranslatorTest()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Object` | `eval(String s, Bindings b)`
    `static Object` | `eval(String s, Object... args)`
    `void` | `shouldEscapeStrings()`
    `void` | `shouldHandleColumn()`
    `void` | `shouldHandleDate()`
    `void` | `shouldHandleDirection()`
    `void` | `shouldHandleEmptyMaps()`
    `void` | `shouldHandleMaps()`
    `void` | `shouldHandleOrder()`
    `void` | `shouldHandlePop()`
    `void` | `shouldHandleScope()`
    `void` | `shouldHandleStrategies()`
    `void` | `shouldHandleTimestamp()`
    `void` | `shouldHandleUuid()`
    `void` | `shouldHandleVertexAndEdge()`
    `void` | `shouldHaveValidToString()`
    `void` | `shouldIncludeCustomTypeTranslationForSomethingSilly()`
    `void` | `shouldOverrideDefaultTypeTranslationWithSomethingBonkers()`
    `void` | `shouldSupportStringSupplierLambdas()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRandomCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GroovyTranslatorTest

          public GroovyTranslatorTest()

  - ### Method Detail

    - #### shouldHandleStrategies

          public void shouldHandleStrategies()
                                      throws Exception

      Throws:
        `Exception`

    - #### shouldSupportStringSupplierLambdas

          public void shouldSupportStringSupplierLambdas()

    - #### shouldHandleMaps

          public void shouldHandleMaps()

    - #### shouldHandleEmptyMaps

          public void shouldHandleEmptyMaps()

    - #### shouldHandleDate

          public void shouldHandleDate()

    - #### shouldHandleTimestamp

          public void shouldHandleTimestamp()

    - #### shouldHandleUuid

          public void shouldHandleUuid()

    - #### shouldHandleColumn

          public void shouldHandleColumn()

    - #### shouldHandleDirection

          public void shouldHandleDirection()

    - #### shouldHandleOrder

          public void shouldHandleOrder()

    - #### shouldHandlePop

          public void shouldHandlePop()

    - #### shouldHandleScope

          public void shouldHandleScope()

    - #### shouldOverrideDefaultTypeTranslationWithSomethingBonkers

          public void shouldOverrideDefaultTypeTranslationWithSomethingBonkers()

    - #### shouldIncludeCustomTypeTranslationForSomethingSilly

          public void shouldIncludeCustomTypeTranslationForSomethingSilly()
                                                                   throws Exception

      Throws:
        `Exception`

    - #### shouldHaveValidToString

          public void shouldHaveValidToString()

    - #### shouldEscapeStrings

          public void shouldEscapeStrings()

    - #### shouldHandleVertexAndEdge

          public void shouldHandleVertexAndEdge()

    - #### eval

          public static Object eval(String s,
                                    Object... args)
                             throws ScriptException

      Throws:
        `ScriptException`

    - #### eval

          public static Object eval(String s,
                                    Bindings b)
                             throws ScriptException

      Throws:
        `ScriptException`

Copyright © 2013–2018 Apache Software Foundation. All rights reserved.